Page MenuHomePhabricator

Update WMF's office address in mediawiki-config
Closed, ResolvedPublic

Description

wmf-config/InitialiseSettings.php
'wmgEchoEmailFooterAddress' => [
        'default' => 'Wikimedia Foundation, 149 New Montgomery St., 6th Fl., San Francisco, CA 94105, USA',
],

This should be updated to the foundation's new address.

wmf-config/InitialiseSettings.php new version
'wmgEchoEmailFooterAddress' => [
        'default' => 'Wikimedia Foundation, 1 Montgomery Street, Suite 1600, San Francisco, CA 94104, USA',
],

Details

Related Gerrit Patches:
operations/mediawiki-config : masterUpdate WMF's address

Event Timeline

Legoktm created this task.Aug 21 2017, 5:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2017, 5:08 AM
Urbanecm claimed this task.Aug 21 2017, 7:08 AM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptAug 21 2017, 7:08 AM
Urbanecm triaged this task as Medium priority.Aug 21 2017, 10:20 AM
Urbanecm updated the task description. (Show Details)

Can it be deployed at any time? Or should I wait for October 1 2017 as said on https://wikimediafoundation.org/wiki/Contact_us?

Change 372824 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Update WMF's address

https://gerrit.wikimedia.org/r/372824

Aklapper renamed this task from Wikimedia Foundation is moving to Wikimedia Foundation is moving by the end of September 2017.Aug 21 2017, 10:46 AM
RuyP added a subscriber: RuyP.Aug 21 2017, 1:58 PM

Let's wait until October 1.

Urbanecm changed the task status from Open to Stalled.Aug 24 2017, 9:45 PM
Urbanecm lowered the priority of this task from Medium to Lowest.

Ok.

Reedy added a comment.Sep 6 2017, 3:27 PM

Let's wait until October 1.

I do note 1st October is a sunday. And we don't deploy on a sunday... ;)

faidon renamed this task from Wikimedia Foundation is moving by the end of September 2017 to Update WMF's office address in mediawiki-config.Sep 25 2017, 7:29 PM

Change 372824 merged by jenkins-bot:
[operations/mediawiki-config@master] Update WMF's address

https://gerrit.wikimedia.org/r/372824

Mentioned in SAL (#wikimedia-operations) [2017-10-02T23:19:36Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Update WMF mailing address (T173684) and enable jQuery 3 on Wiktionaries (T124742) (duration: 00m 48s)

Jdforrester-WMF closed this task as Resolved.Oct 2 2017, 11:24 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Now live.